
local m_preset = {--pickup
    AR = 0.04,
    SG = 0.06,
    SMG = 0.05,
    RF = 0.03,
    SIDE = 0.1,
    SPE = 0
}
local m_AR = 1/25
local m_SG = 1/15
local m_SMG = 1/20
local m_RF = 1/30
local m_SPE = 0
local m_SIDE = 1/10
local f_preset = {--falloff
    AR = 2,
    SG = 4,
    SMG = 2,
    RF = 1.5,
    SIDE = 4
}
local f_AR = 2
local f_SG = 3 --shotguns are -1 cause quality ovk
local f_SMG = 2
local f_RF = 1.5
local f_SIDE = 4

function _cop_pickup_chance(max_ammo, multiplier)
    local low, high = nil
    low = multiplier * 0.8
    high = multiplier * 1.25
    return {
        max_ammo * low,
        max_ammo * high
    }
end
Hooks:PostHook(WeaponTweakData, "init", "FEDNETPlusCustomGunEdits", function (self)
--[[self.weaponid.falloff_min_dmg = x
--    x = damage at end of falloff range uses internal payday math so 45 in-game damage is represented here as 4.5
self.weaponid.falloff_begin = x
self.weaponid.falloff_end = x
    self.weaponid.CLIP_AMMO_MAX = 30
    self.weaponid.NR_CLIPS_MAX = 4
    self.weaponid.AMMO_MAX = self.weaponid.CLIP_AMMO_MAX * self.weaponid.NR_CLIPS_MAX
    self.weaponid.AMMO_PICKUP = _cop_pickup_chance(self.weaponid.AMMO_MAX, AR)
    self.weaponid.falloff_begin = 15
    self.weaponid.falloff_end = self.weaponid.falloff_begin * f_preset[AR] ]]--
    --AR
	self.new_m4.stats.damage = 60
    self.new_m4.CLIP_AMMO_MAX = 30
    self.new_m4.NR_CLIPS_MAX = 4
    self.new_m4.AMMO_MAX = self.new_m4.CLIP_AMMO_MAX * self.new_m4.NR_CLIPS_MAX
    self.new_m4.AMMO_PICKUP = _cop_pickup_chance(self.new_m4.AMMO_MAX, m_AR)
    self.new_m4.falloff_begin = 1500
    self.new_m4.falloff_end = self.new_m4.falloff_begin * f_AR
    
    self.scar.stats.damage = 100
    self.scar.CLIP_AMMO_MAX = 20
    self.scar.NR_CLIPS_MAX = 5
    self.scar.AMMO_MAX = self.scar.CLIP_AMMO_MAX * self.scar.NR_CLIPS_MAX
    self.scar.AMMO_PICKUP = _cop_pickup_chance(self.scar.AMMO_MAX, m_AR)
    self.scar.falloff_begin = 2100
    self.scar.falloff_end = self.scar.falloff_begin * f_AR
	
    self.g36.stats.damage = 50
    self.g36.CLIP_AMMO_MAX = 30
    self.g36.NR_CLIPS_MAX = 5
    self.g36.AMMO_MAX = self.g36.CLIP_AMMO_MAX * self.g36.NR_CLIPS_MAX
    self.g36.AMMO_PICKUP = _cop_pickup_chance(self.g36.AMMO_MAX, m_AR)
    self.g36.falloff_begin = 1800
    self.g36.falloff_end = self.g36.falloff_begin * f_AR
	--SG
    self.r870.stats.damage = 120
    self.r870.CLIP_AMMO_MAX = 6
    self.r870.NR_CLIPS_MAX = 4
    self.r870.AMMO_MAX = self.r870.CLIP_AMMO_MAX * self.r870.NR_CLIPS_MAX
    self.r870.AMMO_PICKUP = _cop_pickup_chance(self.r870.AMMO_MAX, m_SG)
    self.r870.damage_near = 1800
    self.r870.damage_far = self.r870.damage_far * f_SG
	
    self.benelli.stats.damage = 70
    self.benelli.CLIP_AMMO_MAX = 8
    self.benelli.NR_CLIPS_MAX = 3
    self.benelli.AMMO_MAX = self.benelli.CLIP_AMMO_MAX * self.benelli.NR_CLIPS_MAX
    self.benelli.AMMO_PICKUP = _cop_pickup_chance(self.benelli.AMMO_MAX, m_SG)
    self.benelli.damage_near = 400
    self.benelli.damage_far = self.benelli.damage_far * f_SG
	
    self.saiga.stats.damage = 40
    self.saiga.CLIP_AMMO_MAX = 7
    self.saiga.NR_CLIPS_MAX = 3
    self.saiga.AMMO_MAX = self.saiga.CLIP_AMMO_MAX * self.saiga.NR_CLIPS_MAX
    self.saiga.AMMO_PICKUP = _cop_pickup_chance(self.saiga.AMMO_MAX, m_SG)
    self.saiga.damage_near = 300
    self.saiga.damage_far = self.saiga.damage_far * f_SG
	--SMG
	--[[self.new_mp5_p = deep_clone(self.new_mp5)
	self.new_mp5_p.use_data.selection_index = 2 
	self.schakal_p = deep_clone(self.schakal)
	self.schakal_p.use_data.selection_index = 2 
	self.glock_18c_p = deep_clone(self.glock_18c)
	self.glock_18c_p.use_data.selection_index = 2 ]]--
	
	
	--RF
	self.g3.stats.damage = 160
    self.g3.CLIP_AMMO_MAX = 20
    self.g3.NR_CLIPS_MAX = 3
    self.g3.AMMO_MAX = self.g3.CLIP_AMMO_MAX * self.g3.NR_CLIPS_MAX
    self.g3.AMMO_PICKUP = _cop_pickup_chance(self.g3.AMMO_MAX, m_RF)
    self.g3.falloff_begin = 3000
    self.g3.falloff_end = self.g3.falloff_begin * f_RF
	self.g3.armor_piercing_chance = 0.2
	
	self.new_m14.stats.damage = 246
    self.new_m14.CLIP_AMMO_MAX = 10
    self.new_m14.NR_CLIPS_MAX = 4
    self.new_m14.AMMO_MAX = self.new_m14.CLIP_AMMO_MAX * self.new_m14.NR_CLIPS_MAX
    self.new_m14.AMMO_PICKUP = _cop_pickup_chance(self.new_m14.AMMO_MAX, m_RF)
    self.new_m14.falloff_begin = 4000
    self.new_m14.falloff_end = self.new_m14.falloff_begin * f_RF
	self.new_m14.categories = {
		"assault_rifle", "snp"
	}
	self.new_m14.can_shoot_through_shield = true
	self.new_m14.armor_piercing_chance = 0.4
	
	self.m16.stats.damage = 100
    self.m16.CLIP_AMMO_MAX = 30
    self.m16.NR_CLIPS_MAX = 3
    self.m16.AMMO_MAX = self.m16.CLIP_AMMO_MAX * self.m16.NR_CLIPS_MAX
    self.m16.AMMO_PICKUP = _cop_pickup_chance(self.m16.AMMO_MAX, m_RF)
    self.m16.falloff_begin = 2000
    self.m16.falloff_end = self.m16.falloff_begin * f_RF
	self.m16.armor_piercing_chance = 0.2
	--SPE
	
	self.x_g17.stats = {
		zoom = 3,
		total_ammo_mod = 21,
		damage = 80,
		alert_size = 7,
		spread = 20,
		spread_moving = 20,
		recoil = 18,
		value = 1,
		extra_ammo = 51,
		reload = 11,
		suppression = 6,
		concealment = 5
	}
    self.x_g17.CLIP_AMMO_MAX = 17
    self.x_g17.NR_CLIPS_MAX = 2
    self.x_g17.AMMO_MAX = self.x_g17.CLIP_AMMO_MAX * self.x_g17.NR_CLIPS_MAX
    self.x_g17.AMMO_PICKUP = _cop_pickup_chance(self.x_g17.AMMO_MAX, m_SIDE)
	
	--SIDE
	self.glock_17.stats.damage = 80
    self.glock_17.CLIP_AMMO_MAX = 17
    self.glock_17.NR_CLIPS_MAX = 3
    self.glock_17.AMMO_MAX = self.glock_17.CLIP_AMMO_MAX * self.glock_17.NR_CLIPS_MAX
    self.glock_17.AMMO_PICKUP = _cop_pickup_chance(self.glock_17.AMMO_MAX, m_SIDE)
    self.glock_17.falloff_begin = 1000
    self.glock_17.falloff_end = self.glock_17.falloff_begin * f_SIDE
	
	self.new_raging_bull.stats.damage = 160
    self.new_raging_bull.CLIP_AMMO_MAX = 6
    self.new_raging_bull.NR_CLIPS_MAX = 3
    self.new_raging_bull.AMMO_MAX = self.new_raging_bull.CLIP_AMMO_MAX * self.new_raging_bull.NR_CLIPS_MAX
    self.new_raging_bull.AMMO_PICKUP = _cop_pickup_chance(self.new_raging_bull.AMMO_MAX, m_SIDE)
    self.new_raging_bull.falloff_begin = 2000
    self.new_raging_bull.falloff_end = self.new_raging_bull.falloff_begin * f_SIDE
	
	self.judge.stats.damage = 100
    self.judge.CLIP_AMMO_MAX = 5
    self.judge.NR_CLIPS_MAX = 2
    self.judge.AMMO_MAX = self.judge.CLIP_AMMO_MAX * self.judge.NR_CLIPS_MAX
    self.judge.AMMO_PICKUP = _cop_pickup_chance(self.judge.AMMO_MAX, m_SIDE)
    self.judge.damage_near = 500
    self.judge.damage_far = self.judge.damage_near * f_SG
	
	self.mac10.stats.damage = 25
    self.mac10.CLIP_AMMO_MAX = 20
    self.mac10.NR_CLIPS_MAX = 4
    self.mac10.AMMO_MAX = self.mac10.CLIP_AMMO_MAX * self.mac10.NR_CLIPS_MAX
    self.mac10.AMMO_PICKUP = _cop_pickup_chance(self.mac10.AMMO_MAX, m_SIDE)
    self.mac10.falloff_begin = 2000
    self.mac10.falloff_end = self.mac10.falloff_begin * f_SIDE
	
	self.serbu.stats.damage = 40
    self.serbu.CLIP_AMMO_MAX = 2
    self.serbu.NR_CLIPS_MAX = 10
    self.serbu.AMMO_MAX = self.serbu.CLIP_AMMO_MAX * self.serbu.NR_CLIPS_MAX
    self.serbu.AMMO_PICKUP = _cop_pickup_chance(self.serbu.AMMO_MAX, m_SIDE)
    self.serbu.damage_near = 600
    self.serbu.damage_far = self.serbu.damage_near * f_SG
	
    
end)






Hooks:PostHook(WeaponTweakData, "init", "UniqueIdentifier", function (self, tweak_data)
    local usable_weapons = table.list_to_set({
    'new_m4'    ,'scar'        ,'g36',
    'r870'        ,'benelli'    ,'saiga',
    'new_mp5_p'    ,'schakal_p'    ,'glock_18c_p',
    'g3'        ,'new_m14'    ,'m16',
    'x_g17'        ,
    
    'glock_17','new_raging_bull','judge','mac10','serbu'
    })
    for id, value in pairs(self) do
        if self[id].autohit and not usable_weapons[id] then
            self[id].global_value = "criminaldlc"
        end
    end
end)